import * as React from 'react';
export interface BaseLinkProps {
    to: string;
    shouldOpenInNewTab?: boolean;
    className?: string;
    onMouseOver?: (event: React.MouseEvent<HTMLElement>) => void;
    onMouseLeave?: (event: React.MouseEvent<HTMLElement>) => void;
    onMouseEnter?: (event: React.MouseEvent<HTMLElement>) => void;
    textDecoration?: string;
    fontColor?: string;
}
export interface ScrollLinkProps extends BaseLinkProps {
    onActivityChanged?: (isActive: boolean) => void;
}
export interface ReactLinkProps extends BaseLinkProps {
    activeStyle?: React.CSSProperties;
}
export declare type LinkProps = ReactLinkProps & ScrollLinkProps;
export interface LinkState {
}
/**
 * A generic link component which let's the developer render internal, external and scroll-to-hash links, and
 * their associated behaviors with a single link component. Many times we want a menu including a combination of
 * internal, external and scroll links and the abstraction of the differences of rendering each types of link
 * makes it much easier to do so.
 */
export declare class Link extends React.Component<LinkProps, LinkState> {
    static defaultProps: Partial<LinkProps>;
    private _outerReactScrollSpan;
    constructor(props: LinkProps);
    render(): React.ReactNode;
    private _onActivityChanged;
    private _onClickPropagateClickEventAroundScrollLink;
}
//# sourceMappingURL=link.d.ts.map