"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var _ = require("lodash");
var React = require("react");
var constants_1 = require("../utils/constants");
var utils_1 = require("../utils/utils");
var MarkdownLinkBlock = /** @class */ (function (_super) {
    __extends(MarkdownLinkBlock, _super);
    function MarkdownLinkBlock() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    // Re-rendering a linkBlock causes it to remain unclickable.
    // We therefore noop re-renders on this component if it's props haven't changed.
    MarkdownLinkBlock.prototype.shouldComponentUpdate = function (nextProps, _nextState) {
        return nextProps.href !== this.props.href;
    };
    MarkdownLinkBlock.prototype.render = function () {
        var href = this.props.href;
        var isLinkToSection = _.startsWith(href, '#');
        // If protocol is http or https, we can open in a new tab, otherwise don't for security reasons
        if (_.startsWith(href, 'http') || _.startsWith(href, 'https')) {
            return (React.createElement("a", { href: href, target: "_blank", rel: "nofollow noreferrer noopener" }, this.props.children));
        }
        else if (isLinkToSection) {
            return (React.createElement("a", { style: { cursor: 'pointer', textDecoration: 'underline' }, onClick: this._onHashUrlClick.bind(this, href) }, this.props.children));
        }
        else {
            return React.createElement("a", { href: href }, this.props.children);
        }
    };
    MarkdownLinkBlock.prototype._onHashUrlClick = function (href) {
        var hash = href.split('#')[1];
        utils_1.utils.scrollToHash(hash, constants_1.constants.SCROLL_CONTAINER_ID);
        utils_1.utils.setUrlHash(hash);
    };
    return MarkdownLinkBlock;
}(React.Component));
exports.MarkdownLinkBlock = MarkdownLinkBlock;
//# sourceMappingURL=markdown_link_block.js.map