"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var _ = require("lodash");
var React = require("react");
var ReactMarkdown = require("react-markdown");
var react_scroll_1 = require("react-scroll");
var types_1 = require("../types");
var colors_1 = require("../utils/colors");
var utils_1 = require("../utils/utils");
var anchor_title_1 = require("./anchor_title");
var link_1 = require("./link");
var markdown_code_block_1 = require("./markdown_code_block");
var markdown_link_block_1 = require("./markdown_link_block");
var markdown_paragraph_block_1 = require("./markdown_paragraph_block");
var MarkdownSection = /** @class */ (function (_super) {
    __extends(MarkdownSection, _super);
    function MarkdownSection(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            shouldShowAnchor: false,
        };
        return _this;
    }
    MarkdownSection.prototype.render = function () {
        var _a = this.props, sectionName = _a.sectionName, markdownContent = _a.markdownContent, headerSize = _a.headerSize, githubLink = _a.githubLink;
        var id = utils_1.utils.getIdFromName(sectionName);
        var formattedSectionName = utils_1.utils.convertCamelCaseToSpaces(sectionName);
        var title = this.props.alternativeSectionTitle !== undefined
            ? this.props.alternativeSectionTitle
            : _.capitalize(formattedSectionName);
        return (React.createElement("div", { className: "md-px1 sm-px2 overflow-hidden", onMouseOver: this._setAnchorVisibility.bind(this, true), onMouseOut: this._setAnchorVisibility.bind(this, false) },
            React.createElement(react_scroll_1.Element, { name: id, style: { paddingBottom: 20 } },
                React.createElement("div", { className: "clearfix", style: { paddingTop: 30, paddingBottom: 20 } },
                    React.createElement("div", { className: "col lg-col-8 md-col-8 sm-col-12" },
                        React.createElement("span", { style: { color: colors_1.colors.grey700 } },
                            React.createElement(anchor_title_1.AnchorTitle, { headerSize: headerSize, title: title, id: id, shouldShowAnchor: this.state.shouldShowAnchor }))),
                    React.createElement("div", { className: "col col-4 sm-hide xs-hide right-align pr3", style: { height: 28 } }, githubLink !== undefined && (React.createElement("div", { style: { lineHeight: 2.1 } },
                        React.createElement(link_1.Link, { to: githubLink, shouldOpenInNewTab: true, fontColor: colors_1.colors.linkBlue }, "Edit on Github"))))),
                React.createElement(ReactMarkdown, { source: markdownContent, escapeHtml: false, renderers: {
                        code: markdown_code_block_1.MarkdownCodeBlock,
                        link: markdown_link_block_1.MarkdownLinkBlock,
                        paragraph: markdown_paragraph_block_1.MarkdownParagraphBlock,
                    } }),
                React.createElement("div", { style: {
                        width: '100%',
                        height: 1,
                        backgroundColor: colors_1.colors.grey300,
                        marginTop: 32,
                    } }))));
    };
    MarkdownSection.prototype._setAnchorVisibility = function (shouldShowAnchor) {
        this.setState({
            shouldShowAnchor: shouldShowAnchor,
        });
    };
    MarkdownSection.defaultProps = {
        headerSize: types_1.HeaderSizes.H3,
    };
    return MarkdownSection;
}(React.Component));
exports.MarkdownSection = MarkdownSection;
//# sourceMappingURL=markdown_section.js.map