"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_scroll_1 = require("react-scroll");
var types_1 = require("../types");
var colors_1 = require("../utils/colors");
var utils_1 = require("../utils/utils");
var anchor_title_1 = require("./anchor_title");
var SectionHeader = /** @class */ (function (_super) {
    __extends(SectionHeader, _super);
    function SectionHeader(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            shouldShowAnchor: false,
        };
        return _this;
    }
    SectionHeader.prototype.render = function () {
        var headerSize = this.props.headerSize;
        var finalSectionName = utils_1.utils.convertDashesToSpaces(this.props.sectionName);
        var id = utils_1.utils.getIdFromName(finalSectionName);
        return (React.createElement("div", { onMouseOver: this._setAnchorVisibility.bind(this, true), onMouseOut: this._setAnchorVisibility.bind(this, false) },
            React.createElement(react_scroll_1.Element, { name: id },
                React.createElement(anchor_title_1.AnchorTitle, { headerSize: headerSize, title: React.createElement("span", { style: {
                            textTransform: 'capitalize',
                            color: colors_1.colors.grey,
                            fontFamily: 'Roboto Mono',
                            fontWeight: 300,
                            fontSize: 27,
                        } }, finalSectionName), id: id, shouldShowAnchor: this.state.shouldShowAnchor }))));
    };
    SectionHeader.prototype._setAnchorVisibility = function (shouldShowAnchor) {
        this.setState({
            shouldShowAnchor: shouldShowAnchor,
        });
    };
    SectionHeader.defaultProps = {
        headerSize: types_1.HeaderSizes.H2,
    };
    return SectionHeader;
}(React.Component));
exports.SectionHeader = SectionHeader;
//# sourceMappingURL=section_header.js.map