"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var changeCase = require("change-case");
var isMobile = require("is-mobile");
var _ = require("lodash");
var react_scroll_1 = require("react-scroll");
var types_1 = require("../types");
var constants_1 = require("./constants");
exports.utils = {
    setUrlHash: function (anchorId) {
        window.location.hash = anchorId;
    },
    scrollToHash: function (hash, containerId) {
        var finalHash = hash;
        if (_.isEmpty(hash)) {
            finalHash = constants_1.constants.SCROLL_TOP_ID; // scroll to the top
        }
        react_scroll_1.scroller.scrollTo(finalHash, {
            duration: 0,
            offset: 0,
            containerId: containerId,
        });
    },
    isUserOnMobile: function () {
        var isUserOnMobile = isMobile();
        return isUserOnMobile;
    },
    getIdFromName: function (name) {
        var id = name.replace(/ /g, '-');
        return id;
    },
    convertDashesToSpaces: function (text) {
        return text.replace(/-/g, ' ');
    },
    convertCamelCaseToSpaces: function (text) {
        return changeCase.snake(text).replace(/_/g, ' ');
    },
    getEtherScanLinkIfExists: function (addressOrTxHash, networkId, suffix) {
        var networkName = constants_1.constants.NETWORK_NAME_BY_ID[networkId];
        if (networkName === undefined) {
            return undefined;
        }
        var etherScanPrefix = networkName === types_1.Networks.Mainnet ? '' : networkName.toLowerCase() + ".";
        return "https://" + etherScanPrefix + "etherscan.io/" + suffix + "/" + addressOrTxHash;
    },
};
//# sourceMappingURL=utils.js.map